@charset "utf-8";

@import url(base.css);
@import url(header.css);
@import url(footer.css);

body {
	position: relative;
}

.load-svg {
	position: absolute;
	top: 15%;
	left: 40%;
	z-index: 90;
	width: 190px;
	height: 190px;
	opacity: 0;
	transition: opacity 1.2s ease;
	display: block;
	margin: 0 auto;

	@media (max-width:380px) {
		left: 20%;
	}
}

.load-svg.is-loading {
	opacity: 1;
	animation: spin 1.2s linear infinite;
}

@keyframes spin {
	to {
		transform: rotate(360deg);
	}
}

.fade {
	opacity: 0;
	transform: translateY(-20px);
	transition: opacity 1.2s ease, transform 1.2s ease;
}

.fade.is-show {
	opacity: 1;
	transform: translateY(0);
}

/* section */

.container {
	background-color: #eee;
	width: 100%;
	max-width: 1400px;
	margin: 0 auto;
	padding: 5vh 0 .5rem;
	border-right: 1px solid var(--border-color);
	border-left: 1px solid var(--border-color);
}

.container-box {
	padding-left: .5rem;
	width: fit-content;
}

.title {
	font-size: clamp(20px, 5vw, 25px);
}

.title,
.modified {
	width: fit-content;
}

.modified {
	align-items: center;
	background-color: #ddd;
	padding: 5px 10px;
	margin-top: 0.5rem;
	font-weight: 600;
	font-size: 17px;

	@media (max-width:350px) {
		font-size: 13px;
	}
}

.modified {
	display: flex;
	flex-direction: row;
	align-items: center;
}

time {
	display: flex;
	margin-left: 1rem;
	align-items: center;
}

.day-of-the-week {
	margin: -8px 0 0 .25rem;
}

.page,
.page-content {
	display: flex;
	flex-direction: row;
	align-items: center;
	gap: 1rem;
	text-align: left;
	width: fit-content;
}

#page,
#page-guide,
#page-song {
	padding: 2rem 0 0 2rem;
}

.page-block {
	display: flex;
	flex-direction: row;
	align-items: center;
	gap: 1rem;
}

.page-link {
	color: var(--text-color);
	position: relative;
	width: fit-content;
}

.page-link::after {
	background-color: currentColor;
	position: absolute;
	content: "";
	left: 0;
	bottom: -2px;
	width: 100%;
	height: 1px;
	transform: scaleX(0);
	transform-origin: right;
	transition: transform .3s ease;
}

.page-link:hover:after {
	transform: scaleX(1);
	transform-origin: left;
}

.fig_flex {
	display: flex;
	flex-direction: column;
	justify-content: center;
	margin: var(--header-height) auto 0 auto;
	width: fit-content;

	@media (min-width:930px) {
		display: flex;
		flex-direction: row;
		align-items: center;
		justify-content: center;
		gap: 5em;
	}
}

.expo_body {
	width: 100%;
	padding: 0 1rem;

	@media (min-width:768px) {
		width: fit-content;
	}
}

.main_expo {
	display: flex;
	flex-direction: row;
	align-items: center;
	gap: 2em;
	justify-content: center;

	@media (min-width:768px) {
		justify-content: initial;
	}
}

.img_box {
	display: flex;
	flex-direction: column;
	gap: 1em;
}


@media screen and (max-width:380px) {
	.img_box {
		display: none;
	}
}

.img_block {
	width: 100px;
	height: 100px;
	border-radius: 50%;
	transition: transform .3s ease;
}

.img_block:hover {
	transform: scale(1.05);
}

.character_img {
	width: 50%;
	height: auto;

	@media (min-width:768px) {
		width: 100%;
		height: auto;
	}
}

.sub_box {
	background: #fafcff;
	margin: 2em auto;
	padding: 2rem 1rem;
	display: block;
	width: min(90%, 500px);
	height: auto;
	text-align: center;
	align-items: stretch;

	@media (min-width:768px) {
		margin: 2em 0;
	}

}

.logo_img {
	width: 60%;
	height: auto;
	aspect-ratio: 16 / 9;
	margin: 0 auto;
}

.character_name {
	font-size: 40px;
	color: var(--bg-color);
}

.character_sub-name {
	font-size: 20px;
	font-weight: 600;
	color: var(--bg-color);
}

.link-box {
	display: flex;
	flex-direction: column;
	justify-content: center;
	margin-top: 1em;
	width: 100%;
	text-align: left;
	gap: 1em;
}

.link-btn {
	background: #333;
	display: flex;
	flex-direction: row;
	align-items: center;
	justify-content: center;
	padding: 1rem 0;
	width: 100%;
	max-width: 170px;
	margin: 0 auto;
	gap: 1em;
	box-shadow: 0 5px 10px var(--main-shadow-color);
	border-radius: 50px;
	border: 2px solid #333;
	position: relative;
	overflow: hidden;
	z-index: 1;
}

.link-btn::after {
	background-color: #fff;
	box-shadow: none;
	position: absolute;
	left: 0;
	inset: 0;
	content: "";
	transform: scaleX(0);
	transform-origin: right;
	transition: transform .4s ease;
}

.link-btn:hover::after {
	transform: scaleX(1);
	transform-origin: left;
}

.link-yt {
	width: 30px;
	height: auto;
	z-index: 2;
}

.link-x {
	width: 25px;
	height: auto;
	z-index: 2;
}

.link-btn:hover .link-yt,
.link-btn:hover .link-x {
	filter: brightness(1) invert(1);
}

.link-txt {
	color: #fff;
	font-weight: 600;
	transition: .4s ease;
	z-index: 3;
}

.link-btn:hover .link-txt {
	color: #333;
}

.txt-art {
	text-align: left;
	display: flex;
	flex-direction: column;
	width: 90%;
	gap: 1em;
	margin: 2em auto;
}

.prologue,
.explanation {
	margin: 0;
	font-size: 18px;
	font-weight: 500;
}

.explanation time {
	width: fit-content;
	margin-left: 0;
}

.row {
	display: flex;
	flex-direction: row;
	width: fit-content;
}

small {
	font-size: 19px;
	font-weight: 500;
}

video {
	width: 90%;
	height: auto;
	aspect-ratio: 16 / 9;
}

.section {
	width: 100%;
	display: block;
	margin: 0 auto;
	padding-top: 1rem;
}

.guide {
	text-align: left;
	color: #94a4ff;
	padding: 0 1rem;
}

.guide-points {
	width: 100%;
	max-width: 1000px;
	margin: 0 auto;
	line-height: 2;
}

.guide-sub-title {
	width: fit-content;
	margin: 0 auto;
}

.paragraph {
	font-weight: 600;
}

.guide-sub-title,
.paragraph {
	font-size: 16px;
	margin-top: 1rem;

	@media (max-width:500px) {
		font-size: 12px;
	}
}

.recommend {
	background-color: #fafcff;
	padding-bottom: 1rem;
}

.section-title {
	text-align: center;
	margin: 0 auto;
	padding: 1rem 0;
	width: fit-content;
	font-size: 30px;
	font-weight: 900;
}

.grid_movie {
	display: grid;
	grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
	justify-content: center;
	margin: 0 auto;
	gap: 1.2rem;
}

.col {
	margin: 0 auto;
	width: 90%;
	height: auto;
	aspect-ratio: 16 / 9;
	transition: transform .15s ease;

	@media (min-width:768px) {
		border: none;
	}
}

.col:hover {
	transform: scale(1.2);
}

.data-base {
	width: 100%;
	max-width: fit-content;
	margin: 0 auto;
	padding: 0 1rem;
	text-align: left;
	display: flex;
	flex-direction: row;
	gap: 1rem;

	@media (max-width:820px) {
		display: flex;
		flex-direction: column;
	}
}

.data-block {
	display: flex;
	flex-direction: row;
	width: 100%;
	max-width: 420px;
	gap: 1rem;
	padding: 0 1rem .3rem 1rem;
	border-bottom: 1px solid var(--border-color);
	align-items: flex-end;
	color: #94a4ff;
}

.data-title {
	font-size: 17px;
	font-weight: 700;

	@media (max-width:430px) {
		font-size: 13px;
	}
}

.data-protocol {
	border-left: 2px solid var(--border-color);
	padding-left: 0.45rem;
	font-size: 16px;

	@media (max-width:430px) {
		font-size: 12px;
	}
}

.data-row {
	display: flex;
	flex-direction: row;
	align-items: center;
	gap: .3rem;
}

.hash {
	display: flex;
	flex-direction: row;
	align-items: center;
	gap: .4rem;
}

.data-protocol time {
	margin-left: 0;
}

.data-main,
.data-sub {
	display: flex;
	flex-direction: column;
	gap: 1rem;
}

.tag,.like,
.weak-point {
	display: flex;
	flex-direction: row;
	align-items: start;
}

.hash {
	display: flex;
	flex-direction: row;
	width: fit-content;
	gap: 1rem;
}

.unit-link,
.hash-link {
	color: #94a4ff;
	width: fit-content;
	position: relative;
}

.unit-link::after,
.hash-link::after {
	position: absolute;
	background-color: currentColor;
	content: "";
	inset: 0;
	width: 100%;
	overflow: hidden;
	transform: scaleX(0);
	transform-origin: left;
	transition: transform .3s ease;
	z-index: 1;
}

.unit-link:hover::after,
.hash-link:hover::after {
	transform: scaleX(1);
	transform-origin: left;
}

.unit-link:hover .unit-text, 
.hash-link:hover .hash-text {
	color: #fff;
	position: relative;
	z-index: 2;
}

/* guide-line Contents */

.out-list {
	width: fit-content;
	margin: 2rem auto 0;
	text-align: left;
	width: 100%;
	max-width: 800px;
	padding: 1rem 1rem 1rem 2rem;
	background-color: #ddecff;
	border: 2px solid #000080;
	box-shadow: 10px 10px 0 #000080;
}

.list-title {
	width: fit-content;
	font-size: clamp(20px, 5vw, 30px);
}

.out-list li {
	font-size: 16px;
	font-weight: 600;
	list-style: outside;

	@media (max-width:450px) {
		font-size: 12px;
	}
}

.out-list li:first-child,
.out-list li:nth-child(2),
.out-list li:nth-child(4) {
	list-style: none;
}

.li-nth {
	padding: 1rem 0;
}

/* notes-list */

.notes-list {
	margin: 2rem auto 0;
	padding: 0 1rem 0 2rem;
	width: 100%;
	max-width: 800px;
}

.notes-list li {
	list-style: none;
}

.notes-list li:nth-child(2) {
	display: flex;
}

.notes-link {
	color: #94a4ff;
	width: fit-content;
	position: relative;
	padding: 0 1rem;
	z-index: 1;
}

.notes-link::after {
	position: absolute;
	inset: 0;
	background-color: currentColor;
	content: '';
	width: 100%;
	transform: scaleX(0);
	transform-origin: left;
	transition: transform .3s ease;
}

.notes-link:hover::after {
	transform: scaleX(1);
}

.notes-link:hover .link-text {
	color: #fff;
	transition: color .3s ease;
	position: relative;
	z-index: 2;
}

.notes-list li {
	width: fit-content;
}

.notes-list li:nth-child(2) {
	@media (max-width:430px) {
		display: flex;
		flex-direction: column;
		text-align: center;
		margin: 0 auto;
	}
}

.notes-link {
	@media (max-width:430px) {
		margin: 0 auto;
		text-align: center;
	}
}

/* fa-list */

.fa-list li {
	width: fit-content;
	list-style: none;
}

.fa-list li span {
	width: fit-content;
}

.fa-list li:nth-child(3) {
	padding-top: 2rem;
}

.stream-list li:nth-child(2) {
	list-style: outside;
}

/* stream-list */

.stream-list li:nth-child(4) {
	list-style: outside;
}

.stream-list li {
	width: fit-content;
}

.stream-list li span {
	width: fit-content;
}

.stream-list li:last-child {
	list-style: none;
}

.pick-up {
	width: 100%;
	padding: 0 1rem;
}

.card {
	width: 100%;
	max-width: 600px;
	height: auto;
	align-items: stretch;
	margin: 0 auto;
	box-shadow: 0 4px 10px rgba(0, 0, 0, .14);
}

.pick-video {
	width: 100%;
	height: auto;
	aspect-ratio: 16 / 9;
}

.time-node {
	display: flex;
	flex-direction: row;
	align-items: center;
	gap: 1rem;
	width: fit-content;
	margin: 0 auto;
	padding: .5rem 1rem;
}

.new-title {
	width: fit-content;
	padding: 5px 10px;
	background-color: #94a4ff;
	color: #fff;
}

.new-time {
	margin-left: 0;
}

.song-video {
	width: 100%;
	height: auto;
	aspect-ratio: 16 / 9;
}

.song {
	padding: 0 1rem;
}

.song-box {
	text-align: left;
	margin: 0 auto;
	padding-bottom: 1rem;
	width: 100%;
	max-width: fit-content;
}

.song-box li {
	display: flex;
	flex-direction: column;
	gap: 0.5rem;
	font-size: 16px;
	font-weight: 600;
	color: #94a4ff;
}

.song-box li span:nth-child(2) {
	display: flex;
	flex-direction: row;

	@media (max-width:360px) {
		display: flex;
		flex-direction: column;
	}
}

.song-link {
	margin: 0 auto;
	padding: 0 1rem;
	position: relative;
	color: #94a4ff;
	width: fit-content;
}

.song-link::after {
	position: absolute;
	background-color: currentColor;
	content: '';
	inset: 0;
	width: 100%;
	transform: scaleX(0);
	transform-origin: left;
	transition: transform .4s ease;
}

.song-link:hover::after {
	transform: scaleX(1);
	transform-origin: left;
}

.song-link:hover .song-link-txt {
	color: #fff;
	transition: .4s ease;
	position: relative;
	z-index: 2;
}

.song-box li span:nth-child(1),
.song-box li span:nth-child(2) {
	@media (max-width:360px) {
		font-size: 13px;
	}
}